CashSchemaV1.PersistentCashState
Keywords: net.corda.finance.schemas.CashSchemaV1.PersistentCashState class
Date: 2023-09-18

net.corda.finance.schemas

## Class CashSchemaV1.PersistentCashState

- net.corda.core.schemas.PersistentState
- - net.corda.finance.schemas.CashSchemaV1.PersistentCashState

- All Implemented Interfaces:
    DirectStatePersistable, StatePersistable
  Enclosing class:
    CashSchemaV1

      @Entity
      public static class CashSchemaV1.PersistentCashState
      extends PersistentState

- - ### Constructor Detail

    - #### PersistentCashState

          public PersistentCashState(@Nullable
                                     AbstractParty owner,
                                     long pennies,
                                     @NotNull
                                     java.lang.String currency,
                                     @NotNull
                                     java.lang.String issuerPartyHash,
                                     @NotNull
                                     kotlin.Array[] issuerRef)

      Parameters:
        `owner` - X500Name of owner party

  - ### Method Detail

    - #### getOwner

          @Nullable
          public AbstractParty getOwner()

      X500Name of owner party

    - #### setOwner

          public void setOwner(@Nullable
                               AbstractParty p)

      X500Name of owner party

      Parameters:
        `p` - X500Name of owner party

    - #### getPennies

          public long getPennies()

    - #### setPennies

          public void setPennies(long p)

    - #### getCurrency

          @NotNull
          public java.lang.String getCurrency()

    - #### setCurrency

          public void setCurrency(@NotNull
                                  java.lang.String p)

    - #### getIssuerPartyHash

          @NotNull
          public java.lang.String getIssuerPartyHash()

    - #### setIssuerPartyHash

          public void setIssuerPartyHash(@NotNull
                                         java.lang.String p)

    - #### getIssuerRef

          @NotNull
          public kotlin.Array[] getIssuerRef()

    - #### setIssuerRef

          public void setIssuerRef(@NotNull
                                   kotlin.Array[] p)